detekt-api
1.21.0-RC2

# RuleSet

class RuleSet (val id: RuleSetId , val rules: List < BaseRule >)
Content copied to clipboard

A rule set is a collection of rules and must be defined within a rule set provider implementation.

## Constructors

RuleSet
Link copied to clipboard
fun RuleSet (id: RuleSetId , rules: List < BaseRule >)
Content copied to clipboard

## Functions

accept
Link copied to clipboard
fun accept (file: KtFile, bindingContext: BindingContext = BindingContext.EMPTY): List < Finding >
Content copied to clipboard

Visits given file with all rules of this rule set, returning a list of all code smell findings.

## Properties

id
Link copied to clipboard
val id : RuleSetId
Content copied to clipboard
pathFilters
Link copied to clipboard
var pathFilters : PathFilters ? = null
Content copied to clipboard

Is used to determine if a given KtFile should be analyzed at all.

rules
Link copied to clipboard
val rules : List < BaseRule >
Content copied to clipboard